[Project_owners] Install.rdf problem

Matthew Wilson matthew at mjwilson.demon.co.uk
Sat Jun 12 17:12:27 EDT 2004


Jaap Haitsma wrote:
> Hi,
> 
> I'm trying to upgrade my extension to FF 0.9 and it starts driving me a 
> bit nuts. My xpi contains
> 
> install.js (for FF <0.9 and mozilla)
> install.rdf
> content/dictionarysearch.jar
> 
> It installs fine in FF0.8, mozilla and thunderbird 0.6 but with FF0.9 I 
> get always the following error message
> "Firefox could not install this item because "install-rvf.rdf" (provided 
>  by this item) is malformed"
> 
> the rvf part in "install-rvf.rdf" changes when I change something in the 
> rdf file, but for the rest I keep on seeing the same message.
> 
> Anybody can give me a hint what I'm doing wrong??
> my rdf file is attached

<em:targetApplication> has changed its format. See 
http://www.bengoodger.com/software/mb/extensions/packaging/extensions.html

Matthew Wilson


More information about the Project_owners mailing list